Package org.eclipse.m2m.atl.emftvm.util

# Class Types

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.Types

public final class Types extends Object
Contains EMFTVM type definitions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`BAG_TYPE`
The Bag type.
`static final String[]`
`BOOLEAN_TYPE`
The Boolean type.
`static final String[]`
`CLASS_TYPE`
The Ecore EClass type.
`static final String[]`
`CLASSIFIER_TYPE`
The Ecore EClassifier type.
`static final String[]`
`COLLECTION_TYPE`
The Collection type.
`static final String`
`ECORE_MODEL`
The Ecore metamodel namespace.
`static final String`
`EMFTVM_MODEL`
The EMFTVM metamodel namespace.
`static final String[]`
`EXEC_ENV_TYPE`
The 'EMFTVM!ExecEnv' type.
`static final String[]`
`INTEGER_TYPE`
The Integer type.
`static final String[]`
`JAVA_CLASS_TYPE`
The Java Class type.
`static final String[]`
`JAVA_COLLECTION_TYPE`
The Java Collection type.
`static final String[]`
`JAVA_DATE_TYPE`
The Java Date type.
`static final String[]`
`JAVA_LIST_TYPE`
The Java List type.
`static final String[]`
`MAP_TYPE`
The Map type.
`static final String[]`
`OCL_ANY_TYPE`
The OclAny type.
`static final String`
`OCL_MODEL`
The OCL metamodel namespace.
`static final String[]`
`ORDERED_SET_TYPE`
The OrderedSet type.
`static final String[]`
`REAL_TYPE`
The Real type.
`static final String[]`
`SEQUENCE_TYPE`
The Sequence type.
`static final String[]`
`SET_TYPE`
The Set type.
`static final String[]`
`STRING_TYPE`
The String type.
`static final String[]`
`TRACE_LINK_SET_TYPE`
The 'TRACE!TraceLinkSet' type.
`static final String`
`TRACE_MODEL`
The TRACE metamodel namespace.
`static final String[]`
`TUPLE_TYPE`
The Tuple type.

## Constructor Summary

Constructors
Constructor
Description
`Types()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OCL_MODEL

public static final String OCL_MODEL
The OCL metamodel namespace.

See Also:
  - Constant Field Values

### ECORE_MODEL

public static final String ECORE_MODEL
The Ecore metamodel namespace.

### EMFTVM_MODEL

public static final String EMFTVM_MODEL
The EMFTVM metamodel namespace.

### TRACE_MODEL

public static final String TRACE_MODEL
The TRACE metamodel namespace.

### OCL_ANY_TYPE

public static final String[] OCL_ANY_TYPE
The OclAny type.

### BOOLEAN_TYPE

public static final String[] BOOLEAN_TYPE
The Boolean type.

### REAL_TYPE

public static final String[] REAL_TYPE
The Real type.

### INTEGER_TYPE

public static final String[] INTEGER_TYPE
The Integer type.

### STRING_TYPE

public static final String[] STRING_TYPE
The String type.

### JAVA_CLASS_TYPE

public static final String[] JAVA_CLASS_TYPE
The Java Class type.

### JAVA_COLLECTION_TYPE

public static final String[] JAVA_COLLECTION_TYPE
The Java Collection type.

### JAVA_LIST_TYPE

public static final String[] JAVA_LIST_TYPE
The Java List type.

### JAVA_DATE_TYPE

public static final String[] JAVA_DATE_TYPE
The Java Date type.

### COLLECTION_TYPE

public static final String[] COLLECTION_TYPE
The Collection type.

### BAG_TYPE

public static final String[] BAG_TYPE
The Bag type.

### SEQUENCE_TYPE

public static final String[] SEQUENCE_TYPE
The Sequence type.

### SET_TYPE

public static final String[] SET_TYPE
The Set type.

### ORDERED_SET_TYPE

public static final String[] ORDERED_SET_TYPE
The OrderedSet type.

### MAP_TYPE

public static final String[] MAP_TYPE
The Map type.

### TUPLE_TYPE

public static final String[] TUPLE_TYPE
The Tuple type.

### CLASSIFIER_TYPE

public static final String[] CLASSIFIER_TYPE
The Ecore EClassifier type.

### CLASS_TYPE

public static final String[] CLASS_TYPE
The Ecore EClass type.

### EXEC_ENV_TYPE

public static final String[] EXEC_ENV_TYPE
The 'EMFTVM!ExecEnv' type.

### TRACE_LINK_SET_TYPE

public static final String[] TRACE_LINK_SET_TYPE
The 'TRACE!TraceLinkSet' type.

## Constructor Details

### Types

public Types()